MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024580Open CASCADE[OCCT] OCCT:Configurationpublic2014-01-28 19:152014-05-05 13:37
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024580: CMake doesn't unset becoming unused variables when 3rdparty's usage is switched off
Descriptionif USE_TBB is off the variables below should be unset:
  3RDPARTY_TBB_DIR
  3RDPARTY_TBB_INCLUDE_DIR
  3RDPARTY_TBB_DLL
  3RDPARTY_TBB_LIBRARY

this relates to freeimage, opencl and gl2ps
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0027663)
ibs (developer)
2014-01-29 11:08

Dear bugmaster, please intergrate CR24580 OCCT branch

- Related Changesets
occt: master a5deedd0
Timestamp: 2014-01-28 15:17:50
Author: ibs
Committer: bugmaster
Details ] Diff ]
0024580: CMake doesn't unset becoming unused variables when 3rdparty's usage is switched off

unset becoming unused variables when freeimage, opencl, tbb and gl2ps are switched off
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-28 19:15 ibs New Issue
2014-01-28 19:15 ibs Assigned To => ibs
2014-01-28 19:41 ibs Summary CMake doesn't remove being depended variables on disabled 3rdparty's flags in configuration process => CMake doesn't remove becoming unused variables when 3rdparty's usage is switched off
2014-01-28 19:52 ibs Summary CMake doesn't remove becoming unused variables when 3rdparty's usage is switched off => CMake doesn't unset becoming unused variables when 3rdparty's usage is switched off
2014-01-28 19:52 ibs Description Updated View Revisions
2014-01-29 11:06 ibs Status new => resolved
2014-01-29 11:08 ibs Note Added: 0027663
2014-01-29 11:08 ibs Assigned To ibs => bugmaster
2014-01-29 11:08 ibs Status resolved => reviewed
2014-01-30 11:06 bugmaster Status reviewed => tested
2014-02-03 10:15 bugmaster Changeset attached => occt master a5deedd0
2014-02-03 10:15 bugmaster Status tested => verified
2014-02-03 10:15 bugmaster Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker